part of 'benefits_bloc.dart';

@immutable
sealed class BenefitsEvent {
  const BenefitsEvent();
}

class InitializeBenefits extends BenefitsEvent {
  const InitializeBenefits();
}

class SendBenefitRequest extends BenefitsEvent {
  const SendBenefitRequest({
    required this.benefit,
    required this.requestCompleter,
  });

  final BenefitEntity benefit;
  final Completer<BenefitEntity> requestCompleter;
}
